
% load dataset: generated by predictive dynamics optimization
load('predDyn_walking.mat');
% data:
% jointPos: cartesian coord. of joints
% segLen: segment lengths of subject
% state: generalized coord. and their derivatives [q; dq] , numbering: see kinematicChain.png
% grfm: ground reaction forces and moments [grf; grm]
% torque: joint torques belonging to joint degrees of freedom q(7:24)


% sequence ID
id = 1;

data = dataset{id};

figure(1);
plot(data.grfm(1:6,:)');
title('ground reaction force')

figure(2);
plot(data.grfm(7:end,:)');
title('ground reaction moment')

figure(3);
plot(data.torque');
title('joint torques')

% show animation
ctimes = any(data.torque>0); % valid times (complete force plate measurement)
animate_res(data.state(:,ctimes),data.grfm(:,ctimes),data.torque(:,ctimes),[6,9,14,17],[4,5,8,9],...
    data.segLen,data.name,4)